Bug 51727 - EDITING: Tabstops for tablecontrols aren't set to "no" - only after switching to "yes" and then to "no"
Summary: EDITING: Tabstops for tablecontrols aren't set to "no" - only after switching...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 43927 (view as bug list)
Depends on:
Blocks: Database-Forms
  Show dependency treegraph
 
Reported: 2012-07-04 12:43 UTC by Robert Großkopf
Modified: 2019-06-16 06:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
tabstop of tablecontrol with default: "no" - wont work (14.01 KB, application/vnd.sun.xml.base)
2012-07-04 12:43 UTC, Robert Großkopf
Details
tabstop of tablecontrol with "no" after first set to "yes" works right (14.07 KB, application/vnd.sun.xml.base)
2012-07-04 12:44 UTC, Robert Großkopf
Details
Shows where to find the tabstop of tablecontrols, when editing forms. (132.34 KB, image/png)
2012-09-02 15:04 UTC, Robert Großkopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2012-07-04 12:43:06 UTC
Created attachment 63828 [details]
tabstop of tablecontrol with default: "no" - wont work

In one form I have some textfields and a tablecontrol. Tabstop of the tablecontrol is set to "no" by default. But when I go through the form with the tabulator the first field of the tablecontrol gets the tabstop after the last field of the other formcontrols.
You could not set the tabstops in the fileds of a tablecontrol - there is no possibility. But the tabstop of the whole tablecontrol will only work correctly, when you first set it to "yes" and then set it to "no". There is something wrong with the suggested default-value of the tabstop.
Comment 1 Robert Großkopf 2012-07-04 12:44:06 UTC
Created attachment 63829 [details]
tabstop of tablecontrol with "no" after first set to "yes" works right
Comment 2 Jochen 2012-08-29 18:58:31 UTC
@Robert
I tried to reproduce the steps. But I could not do this.
Please describe exactly the single steps. Is it possible that you create screenshots?
Comment 3 Robert Großkopf 2012-09-02 15:04:56 UTC
Created attachment 66493 [details]
Shows where to find the tabstop of tablecontrols, when editing forms.

You have to download attachment 63828 [details]. 
1. Open the form for input. Set the cursor in the first field of the form. Press the tab-button. The cursor went from one control to the other and also in the tablecontrol. 
2. Close the form, 0pen the form for editing, mark the tablecontrol and have a look at the tabulator-stop. It is set to "No". Set this to "Yes". Save and close the form.
3. Redo 1 - same behaviour.
4. Redo 2, but reset the tabulator-stop to "No".
5. Redo 1 - tabulator wents through all fields except the tablecontrol, as expected in 1., because tabstop isn't set since the creating of the tablecontrol.
Comment 4 Robert Großkopf 2012-09-22 18:39:00 UTC
@Jochen
Do you need more info, or could we change the Status to "New". The described behaviour was also discussed in the German OpenOffice-Forum.
Comment 5 Jochen 2012-09-22 19:01:56 UTC
Hi Robert,

do you mean: bug = different behavior of the tab in step 1 and step 5?
I can confirm this behavior.

Hint:
1) IMHO must be defined what setting "Yes/No" in form means respectively should cause. Perhaps there is no bug but normal behavior.
2) please poste the link of the thread in the German OpenOffice-Forum.

I have nothing against changing status to "NEW".
Comment 6 Jochen 2012-09-22 19:03:28 UTC
Sorry - using
OS: Windows 7 prof. 64 bit
LO: 3.5.5
Comment 7 Robert Großkopf 2012-09-22 19:53:40 UTC
Described behaviour isn't discussed in the OpenOffice-Forum, but here:
http://www.libreoffice-forum.de/viewtopic.php?f=10&t=9980&p=14949&hilit=Tabellenkontrollfeld#p14949

Tabstop "yes": The field could be entered with the tabulator. Its the normal behaviour in a form. you could set this to nearly every control.
Tabstop is set standard to "no" for tablecontrols. So the tabulator should not enter the tablecontrol - but it enters the tablecontrol. Only when you switch to "yes" and and afterwards to "no" the tabstop is set right.

I set the Staus to "New".
Comment 8 Alex Thurgood 2015-01-03 17:38:30 UTC Comment hidden (no-value)
Comment 9 QA Administrators 2016-01-17 20:02:55 UTC Comment hidden (obsolete)
Comment 10 Robert Großkopf 2016-01-21 19:26:20 UTC
Bug still exists with LO 5.1.0.2, OpenSUSE 42.1 Leap, 64bit rpm Linux.
Comment 11 Robert Großkopf 2016-01-29 18:19:26 UTC
*** Bug 43927 has been marked as a duplicate of this bug. ***
Comment 12 Robert Großkopf 2016-03-06 15:38:06 UTC
Bug appears also in the first available LO-version (LO 3.3.0.4, OpenSUSE 42.1 64bit rpm Linux). So I set this bug as "Inherited From OOo".
Comment 13 QA Administrators 2017-05-22 13:19:58 UTC Comment hidden (obsolete)
Comment 14 Robert Großkopf 2017-05-28 15:57:55 UTC
Bug still exists with LO 5.4.0.0.beta1, OpenSUSE 42.1 Leap, 64bit rpm Linux.
Comment 15 QA Administrators 2018-06-13 02:36:59 UTC Comment hidden (obsolete)
Comment 16 Robert Großkopf 2018-06-15 06:18:18 UTC
Bug still exists with LO 6.0.5.1, OpenSUSE 42.3 Leap, 64bit rpm Linux.

Note: Tabstop could be set to no when first switching to "yes" and then to "no".
Comment 17 QA Administrators 2019-06-16 02:57:51 UTC
Dear robert,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug
Comment 18 Robert Großkopf 2019-06-16 06:17:24 UTC
Same buggy behaviour in LO 6.2.4.2 on OpenSUSE 15, 64bit rpm Linux